#ifndef INDEXOBJECT_H
#define INDEXOBJECT_H

#include <stdint.h>
#include "render/render_shared.h"

class RenderDevice;

class IndexBuffer
{
	friend class RenderDevice;
public:
	~IndexBuffer();

	void* MapBuffer(BufferAccess access);
	void  UnmapBuffer();

	void Bind();

private:
	IndexBuffer(void* data, size_t size, bool isStream = false);

	uint32_t m_buffer;
};

#endif // !INDEXOBJECT_H
